/*
 * Copyright (c) 2016, Freescale Semiconductor, Inc.
 * Copyright 2016-2017 NXP
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */


#ifndef _PIN_MUX_H_
#define _PIN_MUX_H_

/***********************************************************************************************************************
 * Definitions
 **********************************************************************************************************************/

/*! @brief Direction type  */
typedef enum _pin_mux_direction
{
    kPIN_MUX_DirectionInput = 0U,        /* Input direction */
    kPIN_MUX_DirectionOutput = 1U,       /* Output direction */
    kPIN_MUX_DirectionInputOrOutput = 2U /* Input or output direction */
} pin_mux_direction_t;

/*!
 * @addtogroup pin_mux
 * @{
 */

/***********************************************************************************************************************
 * API
 **********************************************************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif


/*! @name PORTD17 (number 20), U2[25]/U6[14]/RxD_sda
  @{ */
#define BOARD_INITPINS_UART_RX_TGTMCU_PERIPHERAL LPUART2            /*!<@brief Device name: LPUART2 */
#define BOARD_INITPINS_UART_RX_TGTMCU_SIGNAL RX                     /*!<@brief LPUART2 signal: RX */
#define BOARD_INITPINS_UART_RX_TGTMCU_PORT PORTD                    /*!<@brief PORT device name: PORTD */
#define BOARD_INITPINS_UART_RX_TGTMCU_PIN 17U                       /*!<@brief PORTD pin index: 17 */
#define BOARD_INITPINS_UART_RX_TGTMCU_PIN_NAME LPUART2_RX           /*!<@brief Pin name */
#define BOARD_INITPINS_UART_RX_TGTMCU_LABEL "U2[25]/U6[14]/RxD_sda" /*!<@brief Label */
#define BOARD_INITPINS_UART_RX_TGTMCU_NAME "UART_RX_TGTMCU"         /*!<@brief Identifier name */
                                                                    /* @} */

/*! @name PORTE12 (number 19), U2[24]/U6[13]/TxD_sda
  @{ */
#define BOARD_INITPINS_UART_TX_TGTMCU_PERIPHERAL LPUART2            /*!<@brief Device name: LPUART2 */
#define BOARD_INITPINS_UART_TX_TGTMCU_SIGNAL TX                     /*!<@brief LPUART2 signal: TX */
#define BOARD_INITPINS_UART_TX_TGTMCU_PORT PORTE                    /*!<@brief PORT device name: PORTE */
#define BOARD_INITPINS_UART_TX_TGTMCU_PIN 12U                       /*!<@brief PORTE pin index: 12 */
#define BOARD_INITPINS_UART_TX_TGTMCU_PIN_NAME LPUART2_TX           /*!<@brief Pin name */
#define BOARD_INITPINS_UART_TX_TGTMCU_LABEL "U2[24]/U6[13]/TxD_sda" /*!<@brief Label */
#define BOARD_INITPINS_UART_TX_TGTMCU_NAME "UART_TX_TGTMCU"         /*!<@brief Identifier name */
                                                                    /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPins(void);

#if defined(__cplusplus)
}
#endif

/*!
 * @}
 */
#endif /* _PIN_MUX_H_ */

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
